public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Takuya Wakazono" <pastalian46@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: gui-wm/niri/
Date: Sat,  3 Feb 2024 15:01:19 +0000 (UTC)	[thread overview]
Message-ID: <1706972447.a4ebfd80c39a4ccf90cb82f04c7451d17ca6e66f.pastalian46@gentoo> (raw)

commit:     a4ebfd80c39a4ccf90cb82f04c7451d17ca6e66f
Author:     Takuya Wakazono <pastalian46 <AT> gmail <DOT> com>
AuthorDate: Sat Feb  3 15:00:47 2024 +0000
Commit:     Takuya Wakazono <pastalian46 <AT> gmail <DOT> com>
CommitDate: Sat Feb  3 15:00:47 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=a4ebfd80

gui-wm/niri: new package, add 0.1.1

Signed-off-by: Takuya Wakazono <pastalian46 <AT> gmail.com>

 gui-wm/niri/Manifest          |  2 +
 gui-wm/niri/metadata.xml      | 11 ++++++
 gui-wm/niri/niri-0.1.1.ebuild | 86 +++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 99 insertions(+)

diff --git a/gui-wm/niri/Manifest b/gui-wm/niri/Manifest
new file mode 100644
index 0000000000..1b289f2787
--- /dev/null
+++ b/gui-wm/niri/Manifest
@@ -0,0 +1,2 @@
+DIST niri-0.1.1-vendored-dependencies.tar.xz 53810532 BLAKE2B 4e0d6556f8be8dcae9fff001716d6d75a4e01c1f5a2a24475895506b5ad8b1c1bb9b72e0cc070d3f04ce54f0180395a351eac1915f1be66a4b192f7fcc39922a SHA512 e3591562110011227dbab3da89abf766c51f246ea926ff1beb5fca7800fbb4a893e471800dbd589da39bfbfb2b273ef22f523fcce4819e3e17e4abc75f5a7197
+DIST niri-0.1.1.tar.gz 181942 BLAKE2B 94f85876a2ccea0eade10de85d4f5a155ddd603f480c165dda61c1a16814a1a37c080be2fed97a2efb1aef3bdc048ba308c221193bdaadc148db8e4604b88a80 SHA512 a24accef05cf45281850f7852cd661dc268500f145ee33c9a13849138a01d3a731e38688bfaccfd092c8e0d08aa1334df2163a6187614aac0e078c22a6d2705c

diff --git a/gui-wm/niri/metadata.xml b/gui-wm/niri/metadata.xml
new file mode 100644
index 0000000000..f2b3d855af
--- /dev/null
+++ b/gui-wm/niri/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>pastalian46@gmail.com</email>
+		<name>Takuya Wakazono</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="github">YaLTeR/niri</remote-id>
+	</upstream>
+</pkgmetadata>

diff --git a/gui-wm/niri/niri-0.1.1.ebuild b/gui-wm/niri/niri-0.1.1.ebuild
new file mode 100644
index 0000000000..a9e5c4667a
--- /dev/null
+++ b/gui-wm/niri/niri-0.1.1.ebuild
@@ -0,0 +1,86 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LLVM_MAX_SLOT=17
+
+inherit cargo llvm
+
+DESCRIPTION="Scrollable-tiling Wayland compositor"
+HOMEPAGE="https://github.com/YaLTeR/niri"
+SRC_URI="
+	https://github.com/YaLTeR/niri/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
+	https://github.com/YaLTeR/niri/releases/download/v${PV}/${P}-vendored-dependencies.tar.xz
+"
+
+LICENSE="GPL-3+"
+# Dependent crate licenses
+LICENSE+="
+	Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD ISC MIT MPL-2.0
+	Unicode-DFS-2016
+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="dbus screencast"
+REQUIRED_USE="screencast? ( dbus )"
+
+DEPEND="
+	dev-libs/glib:2
+	dev-libs/libinput:=
+	dev-libs/wayland
+	media-libs/mesa
+	sys-auth/seatd:=
+	virtual/libudev:=
+	x11-libs/cairo
+	x11-libs/libxkbcommon
+	x11-libs/pango
+	x11-libs/pixman
+	screencast? (
+		media-video/pipewire
+	)
+"
+RDEPEND="${DEPEND}"
+# Clang is required for bindgen
+BDEPEND="
+	>=virtual/rust-1.72.0
+	screencast? ( <sys-devel/clang-$((LLVM_MAX_SLOT + 1)) )
+"
+
+ECARGO_VENDOR="${WORKDIR}/vendor"
+
+QA_FLAGS_IGNORED="usr/bin/niri"
+
+llvm_check_deps() {
+	if use screencast; then
+		has_version -b "sys-devel/clang:${LLVM_SLOT}"
+	fi
+}
+
+src_prepare() {
+	sed -i 's/^git =.*/version = "*"/' Cargo.toml || die
+	default
+}
+
+src_configure() {
+	local myfeatures=(
+		$(usev dbus)
+		$(usev screencast xdp-gnome-screencast)
+	)
+	cargo_src_configure --no-default-features
+}
+
+src_install() {
+	cargo_src_install
+
+	dobin resources/niri-session
+
+	insinto /usr/lib/systemd/user
+	doins resources/niri{.service,-shutdown.target}
+
+	insinto /usr/share/wayland-sessions
+	doins resources/niri.desktop
+
+	insinto /usr/share/xdg-desktop-portal
+	doins resources/niri-portals.conf
+}


             reply	other threads:[~2024-02-03 15:01 UTC|newest]

Thread overview: 17+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-02-03 15:01 Takuya Wakazono [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-02-17 10:19 [gentoo-commits] repo/proj/guru:dev commit in: gui-wm/niri/ Takuya Wakazono
2024-02-17 10:19 Takuya Wakazono
2024-03-10  2:57 Takuya Wakazono
2024-03-10  2:57 Takuya Wakazono
2024-03-31  7:34 Takuya Wakazono
2024-03-31  7:34 Takuya Wakazono
2024-04-20 16:07 Takuya Wakazono
2024-04-20 16:07 Takuya Wakazono
2024-05-20 12:34 Takuya Wakazono
2024-05-20 12:34 Takuya Wakazono
2024-06-29 11:03 Takuya Wakazono
2024-06-29 11:03 Takuya Wakazono
2024-08-11 10:32 Takuya Wakazono
2024-08-11 10:32 Takuya Wakazono
2024-09-15 12:45 Takuya Wakazono
2024-09-15 12:45 Takuya Wakazono

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1706972447.a4ebfd80c39a4ccf90cb82f04c7451d17ca6e66f.pastalian46@gentoo \
    --to=pastalian46@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox